#ifndef __TIC_H__
#define __TIC_H__

#include <time.h>

#define TIC_MODE_HIST  0
#define TIC_MODE_STD   1

typedef struct tic_info_s tic_info_t;
typedef void (tic_cb_data_f)(const char *label, const char *data, time_t date);

extern tic_info_t* tic_init(const char *fname);
extern void tic_set_cb_data(tic_info_t *tic, tic_cb_data_f *func);
extern int  tic_mode(tic_info_t *tic);
extern int  tic_read_frame(tic_info_t *tic);
extern void tic_process_frame(tic_info_t *tic);
extern void tic_exit(tic_info_t *tic);

#endif
